Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class BasicURLProvider

    oracle.portal.provider.v1.http.URLProvider
      |
      +--oracle.portal.provider.v1.http.BasicURLProvider

public class BasicURLProvider
extends URLProvider

BasicURLProvider is meant for extracting external application and making it accessible to the renderer. Portlet will be rendered based on the Login URL and additional field information specified in external application.

Constructor Summary
`BasicURLProvider()`

Method Summary
`java.lang.Object[]` | `initSession(oracle.portal.provider.v1.ProviderUser user, oracle.portal.provider.v1.ExternalPrincipal externalApp)` Overridden method which does the job of extracting external applicaiton information through PDK-Java and store it for future reference.

Methods inherited from class oracle.portal.provider.v1.http.URLProvider
`deregister, getAuthentication, getHttpsProxyInfo, getProxyInfo, getSubscriber, getSubscriberDetails, init, makeQueryString, readProxyInformation, register, setAuthentication, setHttpsProxyInfo, setProxyInfo, setSubscriberDetails, setUrlCookiePolicyHandler`

Constructor Detail

### BasicURLProvider

    public BasicURLProvider()

Method Detail

### initSession

    public java.lang.Object[] initSession(oracle.portal.provider.v1.ProviderUser user,
                                          oracle.portal.provider.v1.ExternalPrincipal externalApp)
                                   throws oracle.portal.provider.v1.ProviderException

  Overridden method which does the job of extracting external applicaiton information through PDK-Java and store it for future reference. This enables the portlets to authenticate the user individually. ExternalApplication can be extracted from provider session as follows -

       ExternalPrincipal externalApp = (ExternalPrincipal)
             pSession.getAttribute(UrlServicesUtils.EXTERNAL_APP);

  Overrides:
    `initSession` in class `URLProvider`
  Parameters:
    `user` - Current provider user. Used for getting provider session and the portal user name.
    `externalApp` - Object holding external application details.
  Returns:
    Array of cookie objects back. This is returned to portal
  Throws:
    `ProviderException` -

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD